Loading...
Searching...
No Matches
QGpgME::KeyGenerationJob Class Referenceabstract

An abstract base class for asynchronous key generation. More...

`#include <keygenerationjob.h>`

Inheritance diagram for QGpgME::KeyGenerationJob:
[legend]
Collaboration diagram for QGpgME::KeyGenerationJob:
[legend]

## Signals

void | result (const GpgME::KeyGenerationResult &result, const QByteArray &pubKeyData, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QString &parameters)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| KeyGenerationJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Detailed Description

An abstract base class for asynchronous key generation.

To use a KeyGenerationJob, first obtain an instance from the CryptoBackend implementation, connect the progress() and result() signals to suitable slots and then start the key generation with a call to start(). This call might fail, in which case the KeyGenerationJob instance will have scheduled it's own destruction with a call to QObject::deleteLater().

After result() is emitted, the KeyGenerationJob will schedule it's own destruction by calling QObject::deleteLater().

## Member Function Documentation

## start()

virtual GpgME::Error QGpgME::KeyGenerationJob::start | ( | const QString & | parameters | ) |

pure virtual

Starts the key generation operation. parameters is a backend-specific string containing the parameters of the key to create (length, capabilities, etc).

Implemented in QGpgME::QGpgMEKeyGenerationJob.

The documentation for this class was generated from the following files:

- keygenerationjob.h
- keygenerationjob.cpp